Build #2 for amqp-utils-0.3.7.1

[all reports]

Package amqp-utils-0.3.7.1
Install DependencyFailed amqp-utils-0.3.7.1
Docs NotTried
Tests NotTried
Time submitted 2019-09-18 08:52:01.784077836 UTC
Compiler ghc-8.6.3
OS linux
Arch x86_64
Dependencies amqp-0.18.3, base-4.12.0.0, bytestring-0.10.8.2, connection-0.3.1, containers-0.6.0.1, data-default-class-0.1.2.0, hinotify-0.4, magic-1.1, process-1.6.3.0, text-1.2.3.1, time-1.8.0.2, tls-1.5.1, unix-2.7.2.2, x509-system-1.6.6, amqp-0.18.3, base-4.12.0.0, bytestring-0.10.8.2, connection-0.3.1, containers-0.6.0.1, data-default-class-0.1.2.0, process-1.6.3.0, text-1.2.3.1, time-1.8.0.2, tls-1.5.1, unix-2.7.2.2, x509-system-1.6.6, amqp-0.18.3, base-4.12.0.0, bytestring-0.10.8.2, connection-0.3.1, containers-0.6.0.1, data-default-class-0.1.2.0, process-1.6.3.0, text-1.2.3.1, time-1.8.0.2, tls-1.5.1, x509-system-1.6.6, amqp-0.18.3, base-4.12.0.0, bytestring-0.10.8.2, connection-0.3.1, containers-0.6.0.1, data-default-class-0.1.2.0, process-1.6.3.0, text-1.2.3.1, time-1.8.0.2, tls-1.5.1, unix-2.7.2.2, x509-system-1.6.6
Flags none

Build log

[view raw]

Warning: The install command is a part of the legacy v1 style of cabal usage.

Please switch to using either the new project style and the new-install
command or the legacy v1-install alias as new-style projects will become the
default in the next version of cabal-install. Please file a bug if you cannot
replicate a working v1- use case with the new-style commands.

For more information, see: https://wiki.haskell.org/Cabal/NewBuild

Resolving dependencies...
Starting     cereal-0.5.8.1
Starting     base-orphans-0.8.1
Starting     clock-0.8
Starting     basement-0.0.11
Building     cereal-0.5.8.1
Building     base-orphans-0.8.1
Building     clock-0.8
Building     basement-0.0.11
Completed    base-orphans-0.8.1
Starting     data-binary-ieee754-0.4.4
Building     data-binary-ieee754-0.4.4
Completed    clock-0.8
Starting     data-default-class-0.1.2.0
Building     data-default-class-0.1.2.0
Completed    data-binary-ieee754-0.4.4
Starting     hashable-1.3.0.0
Building     hashable-1.3.0.0
Completed    data-default-class-0.1.2.0
Starting     hourglass-0.2.12
Building     hourglass-0.2.12
Completed    cereal-0.5.8.1
Starting     magic-1.1
Completed    hashable-1.3.0.0
Starting     network-3.1.0.1
Failed to install magic-1.1
Build log ( /home/builder/.cabal/logs/ghc-8.6.3/magic-1.1-Li4qC2EFmFj3eSH3BrxalF.log ):
cabal: Entering directory '/tmp/cabal-tmp-24695/magic-1.1'
Configuring magic-1.1...
cabal: Missing dependency on a foreign library:
* Missing (or bad) C library: magic
This problem can usually be solved by installing the system package that
provides this library (you may need the "-dev" version). If the library is
already installed but in a non-standard location then you can use the flags
--extra-include-dirs= and --extra-lib-dirs= to specify where it is.If the
library file does exist, it may contain errors that are caught by the C
compiler at the preprocessing stage. In this case you can re-run configure
with the verbosity flag -v3 to see the error messages.

cabal: Leaving directory '/tmp/cabal-tmp-24695/magic-1.1'
Starting     network-uri-2.6.1.0
Building     network-uri-2.6.1.0
Building     network-3.1.0.1
Completed    network-uri-2.6.1.0
Completed    hourglass-0.2.12
Completed    network-3.1.0.1
Completed    basement-0.0.11
cabal: Error: some packages failed to install:
amqp-utils-0.3.7.1-KCHvQSeLaanHXzpnbGHz89 depends on amqp-utils-0.3.7.1 which
failed to install.
magic-1.1-Li4qC2EFmFj3eSH3BrxalF failed during the configure step. The
exception was:
ExitFailure 1